//
//  ViewModel.swift
//  AhoyMap-Example
//
//  Created by Syed Ismail Ahamed on 20/05/2022.
//

import Foundation

class ViewModel {

    var datasource = [FeatureType]()

    init() {
        datasource = FeatureType.allCases
    }
}

enum FeatureType : CaseIterable {
    case polygon
    case polyline
    case marker
    case zoom
    case traffic
    case location
    case normalDay
    case normalNight
    case satellite
    case hybridDay
    case hybridNight
    case navigate

    func description() -> String {
        return "\(self)"
    }
}
